# 
#   ______                           __        ____    _      __  __     
#  / ___(_)__ ___ _  ___  ___ ____  / /__     / __/___(_)_ __/ /_/ /____ 
# / (_ / / _ `/  ' \/ _ \/ _ `/ _ \/ / _ \   _\ \/ __/ / // / __/ __/ _ \
# \___/_/\_,_/_/_/_/ .__/\_,_/\___/_/\___/  /___/\__/_/\_,_/\__/\__/\___/
#                 /_/                                                   
# http://www.giampaolo-sciutto.it/

# Name Script : ConvertVMDKtoVHDbyGS.PS1
# Descrizione : Converte un Virtual Machines da .VMDK (VMWare) a .VHD o .VHDX (Hyper-V)
# 
# Versione    : 1.0
# Requisiti   : Import-Module MvmcCmdlet.psd1
# Piattaforme Verificate : Windows 10
#
# Modify by Giampaolo Sciutto
# Date Modify: 23/06/2016
#
         		
# ATTENZIONE: Scaricare ed installare il tool del link sotto - Microsoft Virtual Machine Converter 3.0 				
# Download at http://www.microsoft.com/en-us/download/details.aspx?id=42497

# Sostituire le variabili sotto con quelle preferite

# Percorso del file .VMDK
$VMDK = "C:\FILE_SORGENTE.vmdk"
# Percorso destinazione file finale
$DEST = "C:\FILE_DESTINAZIONE"

Import-Module 'C:\Program Files\Microsoft Virtual Machine Converter\MvmcCmdlet.psd1'

Get-Command -module mvmccmdlet

# Sostituire il formato .VHDX o .VHD - Default .Vhd
ConvertTo-MvmcVirtualHardDisk -SourceLiteralPath "$VMDK" -DestinationLiteralPath "$DEST" `
-VhdType DynamicHardDisk -VhdFormat Vhd

# Extra
# If offline can disable the tools. If was online could uninstall from the source VM Uninstall-MvmcSourceVMTools
# Disable-MvmcSourceVMTools -DestinationLiteralPath "C:\ClusterStorage\VMs\Temp\Win2012DC.vhdx"